Description

After upgrading my Ubuntu 12.04 LTS redmine does not start with the following message:

no such file to load -- fastercsv (LoadError)

/usr/lib/ruby/vendor_ruby/active_support/dependencies.rb:251:in `require'

/usr/lib/ruby/vendor_ruby/active_support/dependencies.rb:251:in `require'

/usr/lib/ruby/vendor_ruby/active_support/dependencies.rb:236:in `load_dependency'

/usr/lib/ruby/vendor_ruby/active_support/dependencies.rb:251:in `require'

/usr/share/redmine/lib/redmine.rb:62

/usr/lib/ruby/vendor_ruby/active_support/dependencies.rb:251:in `require'

/usr/lib/ruby/vendor_ruby/active_support/dependencies.rb:251:in `require'

/usr/lib/ruby/vendor_ruby/active_support/dependencies.rb:236:in `load_dependency'

/usr/lib/ruby/vendor_ruby/active_support/dependencies.rb:251:in `require'

/usr/share/redmine/config/initializers/30-redmine.rb:4

/usr/lib/ruby/vendor_ruby/active_support/dependencies.rb:245:in `load'

/usr/lib/ruby/vendor_ruby/active_support/dependencies.rb:245:in `load'

/usr/lib/ruby/vendor_ruby/active_support/dependencies.rb:236:in `load_dependency'

/usr/lib/ruby/vendor_ruby/active_support/dependencies.rb:245:in `load'

/usr/lib/ruby/vendor_ruby/rails/engine.rb:593

/usr/lib/ruby/vendor_ruby/rails/engine.rb:592:in `each'

/usr/lib/ruby/vendor_ruby/rails/engine.rb:592

/usr/lib/ruby/vendor_ruby/rails/initializable.rb:30:in `instance_exec'

/usr/lib/ruby/vendor_ruby/rails/initializable.rb:30:in `run'

/usr/lib/ruby/vendor_ruby/rails/initializable.rb:55:in `run_initializers'

/usr/lib/ruby/vendor_ruby/rails/initializable.rb:54:in `each'

/usr/lib/ruby/vendor_ruby/rails/initializable.rb:54:in `run_initializers'

/usr/lib/ruby/vendor_ruby/rails/application.rb:136:in `initialize!'

/usr/lib/ruby/vendor_ruby/rails/railtie/configurable.rb:30:in `send'

/usr/lib/ruby/vendor_ruby/rails/railtie/configurable.rb:30:in `method_missing'

/usr/share/redmine/config/environment.rb:14

config.ru:3:in `require'

config.ru:3

/usr/lib/ruby/vendor_ruby/rack/builder.rb:51:in `instance_eval'

/usr/lib/ruby/vendor_ruby/rack/builder.rb:51:in `initialize'

config.ru:1:in `new'

config.ru:1

...

The following packages are installed:

root# dpkg -l|grep redmine

ii  redmine                                                     2.4.2-1+sury.org~precise+2

ii  redmine-mysql                                               2.4.2-1+sury.org~precise+2

ii  redmine-sqlite                                              2.4.2-1+sury.org~precise+2

Redmine was working before without any problems. Any clue?

History

#1 - 2014-02-06 18:48 - Udo Hain
some explanations what I have done so far:

root@avalon:/usr/share/redmine# gem list

LOCAL GEMS ***

atomic (1.1.14)

bundler (1.5.2)

daemon_controller (1.1.8)

fastercsv (1.5.5)

i18n (0.6.9)

json (1.8.1)

minitest (5.2.0, 4.7.5)

multi_json (1.8.2)

mysql (2.9.1)

passenger (4.0.37)

rack (1.5.2)

rake (10.1.1)

rdoc (4.0.1)

thread_safe (0.1.3)

tzinfo (1.1.0)

1. bundle install --without development test rmagic

2. rake generate_secret_token

3. RAILS_ENV=production rake db:migrate

4. RAILS_ENV=production rake redmine:load_default_data

5. service apache2 restart

I still get the message that fastercsv is missing ;-(

#2 - 2014-02-08 12:43 - Udo Hain

- Status changed from New to Resolved

I don't know whether this is the correct solution, but adding

gem "fastercsv", "~> 1.5.0", :platforms => [:mri_18, :mingw_18, :jruby]

to Gemfile and calling 'bundler install' again solved the problem.

#3 - 2014-02-08 15:52 - Jan Niggemann (redmine.org team member)

- Status changed from Resolved to Closed
